API Reference

Retrieve All Context Packs

Returns the list of all context packs in a given workspace, sorted alphabetically by context pack name.

Expands
versions Retrieves all versions of each context pack in the list.
Endpoint
GET https://api.zatomic.ai/v1/context/packs

// Examples
GET https://api.zatomic.ai/v1/context/packs?expand=versions

Endpoint Response

A successful call returns a response that contains a list of context pack objects.

HTTP Status Codes
200 OK The context packs were retrieved, or an empty list was returned.
500 Internal Server Error Something went wrong on Zatomic's end.
Response Body
[
   {
      "context_pack_id": "cpk_2qJhUNbuEg3J8dvw39jgL3UEJKS",
      "workspace_id": "wrk_2nKxr84BuEQIpUl3evP3XYyTxdo",
      "project_id": "prj_32Tk7u9OX9HN7AUXm3EjJKRJ5yD",
      "created": "2024-12-16T22:03:19.30308Z",
      "updated": "2024-12-16T22:03:19.568618Z",
      "name": "Context pack name",
      "description": "Context pack description.",
      "versions": []
   }
]